Build #2 for check-pvp-0.0.2

[all reports]

Package check-pvp-0.0.2
Install PlanningFailed
Docs NotTried
Tests NotTried
Time submitted 2019-05-17 14:47:51.834535136 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies
Flags none

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
cabal: Could not resolve dependencies:
[__0] trying: check-pvp-0.0.2 (user goal)
[__1] next goal: haskell-src-exts (dependency of check-pvp)
[__1] rejecting: haskell-src-exts-1.21.0, haskell-src-exts-1.20.3,
haskell-src-exts-1.20.2, haskell-src-exts-1.20.1, haskell-src-exts-1.20.0,
haskell-src-exts-1.19.1, haskell-src-exts-1.19.0, haskell-src-exts-1.18.2,
haskell-src-exts-1.18.1, haskell-src-exts-1.18.0, haskell-src-exts-1.17.1,
haskell-src-exts-1.17.0, haskell-src-exts-1.16.0.1, haskell-src-exts-1.16.0,
haskell-src-exts-1.15.0.1, haskell-src-exts-1.15.0 (conflict: check-pvp =>
haskell-src-exts>=1.14 && <1.15)
[__1] trying: haskell-src-exts-1.14.0.1
[__2] next goal: base (dependency of check-pvp)
[__2] rejecting: base-4.12.0.0/installed-4.1... (conflict: haskell-src-exts
+/-base4 => base>=3 && <4.8)
[__2] rejecting: base-4.12.0.0, base-4.11.1.0, base-4.11.0.0, base-4.10.1.0,
base-4.10.0.0, base-4.9.1.0, base-4.9.0.0, base-4.8.2.0, base-4.8.1.0,
base-4.8.0.0, base-4.7.0.2, base-4.7.0.1, base-4.7.0.0, base-4.6.0.1,
base-4.6.0.0, base-4.5.1.0, base-4.5.0.0, base-4.4.1.0, base-4.4.0.0,
base-4.3.1.0, base-4.3.0.0, base-4.2.0.2, base-4.2.0.1, base-4.2.0.0,
base-4.1.0.0, base-4.0.0.0, base-3.0.3.2, base-3.0.3.1 (constraint from
non-upgradeable package requires installed instance)
[__2] fail (backjumping, conflict set: base, check-pvp, haskell-src-exts)
After searching the rest of the dependency tree exhaustively, these were the
goals I've had most trouble fulfilling: check-pvp, haskell-src-exts, base